Bug 182344

Summary: gnome-terminal stays on top hiding system-config-xxx menus.
Product: [Fedora] Fedora Reporter: george.b.milner
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 5CC: mattdm, mhuhtala
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-03-10 20:29:43 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description george.b.milner 2006-02-21 17:32:19 EST
Description of problem: 
gnome-terminal stays on top, hiding system-config-xxxx menus. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. On Gnome desktop: Applications -> Accessories -> terminal
2. At terminal prompt: # system-config-soundcard
 
Actual results:
hidden menus

Expected results:
on-top menus

Additional info:
does not happen with "xterm".
Comment 1 Mikko Huhtala 2006-03-05 23:03:48 EST
This is not a Metacity issue?

It's not just system-config-*. The new version opens all X applications launched
from the command line under the terminal window. This is very, very inconvenient
and actually has had me lauching several instances of applications before I
realized where the windows went. If there are lots of windows open in the
workspace, finding the newly started app becomes a pain.

Is there some sort of desing rationale behind this or is it just a bug? Wouldn't
you expect the user to want to _see_ the program she/he started?

I launch things from the command line more often than from the menus. I work in
a scientific lab and have installed Fedora on two dozen desktops, whose users
also work primarily using the command line. I was going to upgrade to FC5 but
this is giving me second thoughts. At the very least this 'feature' should be
configurable, if it is going to go into FC5.




Comment 2 Mikko Huhtala 2006-03-07 04:06:40 EST
This is in fact a duplicate of #178389.
Comment 3 Matthew Miller 2007-04-06 13:33:45 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 4 petrosyan 2008-03-10 20:29:43 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.